> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of custom made report definitions



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/ReportDefinition/ListCustomReportDefinitions
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportDefinition/ListCustomReportDefinitions:
    get:
      tags:
        - ReportDefinition
      summary: Get the list of custom made report definitions
      operationId: ListCustomReportDefinitions
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiRiskReportDefinitionGetAllResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiRiskReportDefinitionGetAllResponse:
      example:
        report_names:
          - customizer_id: customizer_id
            id: id
            report_name: report_name
          - customizer_id: customizer_id
            id: id
            report_name: report_name
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        report_names:
          items:
            $ref: '#/components/schemas/CustomRiskDefinitionDetails'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskReportDefinition.ApiRiskReportDefinitionGetAllResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CustomRiskDefinitionDetails:
      example:
        customizer_id: customizer_id
        id: id
        report_name: report_name
      properties:
        id:
          nullable: true
          type: string
        report_name:
          nullable: true
          type: string
        customizer_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskReportDefinition.CustomRiskDefinitionDetails,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````